Name:                maven-reporting-exec
Version:             1.4
Release:             1
BuildArch:           noarch
Summary:             Classes to manage report plugin executions with Maven 3
License:             ASL 2.0
URL:                 http://maven.apache.org/shared/maven-reporting-exec/
Source0:             https://repo.maven.apache.org/maven2/org/apache/maven/reporting/maven-reporting-exec/%{version}/maven-reporting-exec-%{version}-source-release.zip
Patch0001:           0001-Port-to-Eclipse-Aether-and-Eclipse-Sisu.patch

BuildRequires:       maven-local mvn(org.apache.maven:maven-artifact)
BuildRequires:       mvn(org.apache.maven:maven-core) mvn(org.apache.maven:maven-model)
BuildRequires:       mvn(org.apache.maven:maven-plugin-api) mvn(org.apache.maven:maven-settings)
BuildRequires:       mvn(org.apache.maven:maven-settings-builder)
BuildRequires:       mvn(org.apache.maven.plugins:maven-invoker-plugin)
BuildRequires:       mvn(org.apache.maven.reporting:maven-reporting-api)
BuildRequires:       mvn(org.apache.maven.shared:maven-shared-components:pom:)
BuildRequires:       mvn(org.apache.maven.shared:maven-shared-utils)
BuildRequires:       mvn(org.codehaus.plexus:plexus-component-annotations)
BuildRequires:       mvn(org.codehaus.plexus:plexus-component-metadata)
BuildRequires:       mvn(org.eclipse.aether:aether-api) mvn(org.eclipse.aether:aether-util)
BuildRequires:       mvn(org.eclipse.sisu:org.eclipse.sisu.plexus)
Requires:            java-headless

%description
Classes to manage report plugin executions with Maven 3. Contains classes for
managing and configuring reports and their execution.

%package javadoc
Summary:             API documentation for %{name}
%description javadoc
The API documentation of %{name}.

%prep
%setup -qn %{name}-%{version}
%patch0001 -p1

# convert CR+LF to LF
sed -i 's/\r//g' pom.xml src/main/java/org/apache/maven/reporting/exec/*
# Build against Maven 3.x, Eclipse Aether and Eclipse Sisu
%pom_remove_plugin org.apache.maven.plugins:maven-enforcer-plugin
%pom_remove_dep org.sonatype.aether:aether-api
%pom_remove_dep org.sonatype.aether:aether-util
%pom_change_dep org.sonatype.aether:aether-connector-wagon org.eclipse.aether:aether-transport-wagon
%pom_change_dep org.sonatype.sisu:sisu-inject-plexus org.eclipse.sisu:org.eclipse.sisu.plexus

%build
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc LICENSE NOTICE DEPENDENCIES

%files javadoc -f .mfiles-javadoc
%doc LICENSE NOTICE

%changelog
* Tue Aug 11 2020 maminjie <maminjie1@huawei.com> - 1.4-1
- package init
